# Uses of Interface
org.springframework.transaction.TransactionExecutionListener

Packages that use TransactionExecutionListener
Package
Description
org.springframework.transaction
Spring's core transaction management APIs (independent of any specific transaction management system); an exception hierarchy for Spring's transaction infrastructure; and transaction manager, definition, and status interfaces.
org.springframework.transaction.reactive
Support classes for reactive transaction management.
org.springframework.transaction.support
Support classes for the org.springframework.transaction package.

## Uses of TransactionExecutionListener in org.springframework.transaction

Methods in org.springframework.transaction that return types with arguments of type TransactionExecutionListener
Modifier and Type
Method
Description
`Collection<TransactionExecutionListener>`
ConfigurableTransactionManager.`getTransactionExecutionListeners()`
Return the registered transaction execution listeners for this transaction manager.
Methods in org.springframework.transaction with parameters of type TransactionExecutionListener
Modifier and Type
Method
Description
`default void`
ConfigurableTransactionManager.`addListener(TransactionExecutionListener listener)`
Conveniently register the given listener for begin/commit/rollback callbacks from this transaction manager.
Method parameters in org.springframework.transaction with type arguments of type TransactionExecutionListener
Modifier and Type
Method
Description
`void`
ConfigurableTransactionManager.`setTransactionExecutionListeners(Collection<TransactionExecutionListener> listeners)`
Set the transaction execution listeners for begin/commit/rollback callbacks from this transaction manager.

## Uses of TransactionExecutionListener in org.springframework.transaction.reactive

Methods in org.springframework.transaction.reactive that return types with arguments of type TransactionExecutionListener
Modifier and Type
Method
Description
`final Collection<TransactionExecutionListener>`
AbstractReactiveTransactionManager.`getTransactionExecutionListeners()`
Method parameters in org.springframework.transaction.reactive with type arguments of type TransactionExecutionListener
Modifier and Type
Method
Description
`final void`
AbstractReactiveTransactionManager.`setTransactionExecutionListeners(Collection<TransactionExecutionListener> listeners)`

## Uses of TransactionExecutionListener in org.springframework.transaction.support

Methods in org.springframework.transaction.support that return types with arguments of type TransactionExecutionListener
Modifier and Type
Method
Description
`final Collection<TransactionExecutionListener>`
AbstractPlatformTransactionManager.`getTransactionExecutionListeners()`
Method parameters in org.springframework.transaction.support with type arguments of type TransactionExecutionListener
Modifier and Type
Method
Description
`final void`
AbstractPlatformTransactionManager.`setTransactionExecutionListeners(Collection<TransactionExecutionListener> listeners)`